<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core" xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<ui:insert name="htmlhead" />
	<link rel="shortcut icon" href="/Square2/resources/favicon.ico" />
</h:head>
<h:body style="background-color: #eef7ff !important">
	<h:outputScript library="primefaces" name="jquery/jquery.js?version=#{startup.time}" target="head" />
	<h:outputScript library="js" name="ship.js?version=#{startup.time}" target="head" />
	<h:outputStylesheet library="css" name="style.css?version=#{startup.time}" />
	<h:outputStylesheet library="webjars" name="font-awesome/5.12.0/css/all.min-jsf.css?version=#{startup.time}" />
	<h:outputStylesheet library="webjars" name="font-awesome/5.12.0/css/v4-shims.min-jsf.css?version=#{startup.time}" />
	<h:outputStylesheet library="primefaces" name="primeicons/primeicons.css?version=#{startup.time}" />
	<h:outputStylesheet library="css" name="primefaces_adjustment.css?version=#{startup.time}" />
	<h:outputStylesheet library="css" name="primefaces_modal.css?version=#{startup.time}" />
	<h:outputStylesheet library="css" name="slickgrid.fix.css?version=#{startup.time}" />
	<ui:insert name="formless" />
	<h:form id="form" enctype="multipart/form-data" acceptcharset="UTF-8" onkeypress="return event.keyCode != 13">
		<div class="stayOnTop">
			<div class="layoutMenu">
				<p:menubar rendered="#{profile != null}">
					<p:submenu label="#{appl.getVersion(facesContext)} (#{appl.getStage(facesContext)})">
						<p:menuitem immediate="true" action="#{impressumController.toImpressum(facesContext)}" value="#{facesContext.translate('button.impressum')}" ajax="false" />
						<p:separator />
						<p:menuitem immediate="true" action="#{loginController.doLogout}" value="#{facesContext.translate('view.button.logout')}#{profile.hasKeycloakAccessToken() ? '(keycloak)' : ''}" ajax="false" />
					</p:submenu>
					<p:menuitem styleClass="topmenu #{cohortController.isCurrentController ? 'menuactivated' : ''}" action="#{cohortController.toWelcome}" value="#{facesContext.translate('navigate.cohort')}" ajax="false"
						rendered="#{profile.hasOneOfPrivileges('studyadmin')}" />
					<p:menuitem styleClass="topmenu #{studyController.isCurrentController ? 'menuactivated' : ''}" action="#{studyController.toWelcome}" value="#{facesContext.translate('navigate.study')}" ajax="false" rendered="#{profile.hasOneOfPrivileges('study')}" />
					<p:menuitem styleClass="topmenu #{vargroupController.isCurrentController ? 'menuactivated' : ''}" action="#{vargroupController.toWelcome}" value="#{facesContext.translate('navigate.vargroup')}" ajax="false"
						rendered="#{profile.hasOneOfPrivileges('vargroup')}" />
					<p:menuitem styleClass="topmenu #{datamanagementController.isCurrentController ? 'menuactivated' : ''}" action="#{datamanagementController.toWelcome}" value="#{facesContext.translate('navigate.datamanagement')}" ajax="false"
						rendered="#{profile.hasPrivilege('datamanagement')}" />
					<p:menuitem styleClass="topmenu #{statisticController.isCurrentController ? 'menuactivated' : ''}" action="#{statisticController.toWelcome}" value="#{facesContext.translate('navigate.statistic')}" ajax="false"
						rendered="#{profile.hasOneOfPrivileges('statistic', 'statisticadmin')}" />
          <p:menuitem id="topmenu_tofunctionselection" styleClass="topmenu #{functionselectionController.isCurrentController ? 'menuactivated' : ''}" action="#{functionselectionController.toWelcome}" 
            value="#{facesContext.translate('navigate.analysis')}" ajax="false" rendered="#{profile.hasPrivilege('analysis')}" />
					<p:menuitem styleClass="topmenu #{reportController.isCurrentController ? 'menuactivated' : ''}" action="#{reportController.toWelcome}" value="#{facesContext.translate('navigate.report')}" ajax="false"
						rendered="#{profile.hasOneOfPrivileges('reportdesigner', 'reportbuilder', 'reportwriter', 'reportreader')}" />
					<p:menuitem styleClass="topmenu #{adminController.isCurrentController ? 'menuactivated' : ''}" action="#{adminController.toWelcome}" value="#{facesContext.translate('navigate.admin')}" ajax="false" rendered="#{profile.hasPrivilege('admin')}" />
				</p:menubar>
				<ui:insert name="location" />
			</div>
		</div>
		<div class="stayOnTopDistance" />
		<div class="layoutMainpage">
			<div class="dist">
				<ui:fragment rendered="#{profile != null}">
					<p:dialog id="primodaldialog" modal="true" closable="false" draggable="false" visible="true" fitViewport="true" maximizable="true" appendTo="@(form)" styleClass="theShipModal">
						<f:facet name="header">
							<ui:insert name="title">Please set a title for this modal!</ui:insert>
						</f:facet>
						<div class="layoutMessages">
							<div id="ajaxmessages" />
							<ui:repeat value="#{loginModel.getMaintenances(facesContext)}" var="m">
								<p:staticMessage severity="warn" summary="#{facesContext.translate('maintenance')}" detail="#{m.toString()}" />
							</ui:repeat>
							<p:messages skipDetailIfEqualsSummary="true" showDetail="true" showSummary="true" />
						</div>
						<div id="scrollablebody" class="primodalbody">
							<ui:insert name="body" />
						</div>
						<f:facet name="footer">
							<div class="modal-buttonbar">
								<ship:buttongroup style="float: left; padding-bottom: 8px">
									<p:commandButton id="optionsbutton" value="" type="button" icon="fa fa-bars" styleClass="iconbutton" />
									<p:menu overlay="true" toggleable="true" trigger="optionsbutton" my="left bottom" at="left top">
										<p:submenu label="log level" rendered="#{profile.hasPrivilege('admin')}" expanded="false">
											<p:menuitem action="#{adminController.setLogLevelDirect('OFF')}" value="off" immediate="true" icon="#{adminController.isLogLevel('off', 'fa fa-check-square', 'fa fa-square-o')}" ajax="false" />
											<p:menuitem action="#{adminController.setLogLevelDirect('FATAL')}" value="fatal" immediate="true" icon="#{adminController.isLogLevel('fatal', 'fa fa-check-square', 'fa fa-square-o')}" ajax="false" />
											<p:menuitem action="#{adminController.setLogLevelDirect('ERROR')}" value="error" immediate="true" icon="#{adminController.isLogLevel('error', 'fa fa-check-square', 'fa fa-square-o')}" ajax="false" />
											<p:menuitem action="#{adminController.setLogLevelDirect('WARN')}" value="warn" immediate="true" icon="#{adminController.isLogLevel('warn', 'fa fa-check-square', 'fa fa-square-o')}" ajax="false" />
											<p:menuitem action="#{adminController.setLogLevelDirect('INFO')}" value="info" immediate="true" icon="#{adminController.isLogLevel('info', 'fa fa-check-square', 'fa fa-square-o')}" ajax="false" />
											<p:menuitem action="#{adminController.setLogLevelDirect('DEBUG')}" value="debug" immediate="true" icon="#{adminController.isLogLevel('debug', 'fa fa-check-square', 'fa fa-square-o')}" ajax="false" />
											<p:menuitem action="#{adminController.setLogLevelDirect('TRACE')}" value="trace" immediate="true" icon="#{adminController.isLogLevel('trace', 'fa fa-check-square', 'fa fa-square-o')}" ajax="false" />
										</p:submenu>
										<p:submenu label="#{facesContext.translate('menu.headline.currentlang')}">
											<p:menuitem immediate="true" action="#{lang.setLocaleCodeTo(facesContext, 'de_DE')}" value="Deutsch" icon="#{lang.localeCode == 'de_DE' ? 'fa fa-check-square' : 'fa fa-square-o'}" ajax="false" />
											<p:menuitem immediate="true" action="#{lang.setLocaleCodeTo(facesContext, 'en')}" value="English" icon="#{lang.localeCode == 'en' ? 'fa fa-check-square' : 'fa fa-square-o'}" ajax="false" />
											<p:menuitem immediate="true" action="#{lang.setLocaleCodeTo(facesContext, 'ro')}" value="limba română" icon="#{lang.localeCode == 'ro' ? 'fa fa-check-square' : 'fa fa-square-o'}" ajax="false" />
											<p:menuitem immediate="true" action="#{lang.setLocaleCodeTo(facesContext, 'es')}" value="español" icon="#{lang.localeCode == 'es' ? 'fa fa-check-square' : 'fa fa-square-o'}" ajax="false" />
											<p:menuitem immediate="true" action="#{lang.setLocaleCodeTo(facesContext, 'zh_CN')}" value="#{facesContext.translate('language.languagekey')}" icon="#{lang.localeCode == 'zh_CN' ? 'fa fa-check-square' : 'fa fa-square-o'}" ajax="false" />
										</p:submenu>
									</p:menu>
									<p:commandButton type="button" icon="fa fa-question-circle" tooltip="#{facesContext.translate('button.help')}" onclick="PF('helpModal').show();return;" />
								</ship:buttongroup>
								<ship:buttongroup style="float: right; height: 36px">
									<ui:insert name="formbuttons" />
								</ship:buttongroup>
							</div>
						</f:facet>
					</p:dialog>
					<p:dialog widgetVar="helpModal" modal="true" header="#{facesContext.translate('button.help')}" closable="true" closeOnEscape="true" width="50%">
            <div style="height: 50vh">
              <ui:fragment id="help_en" rendered="#{lang.localeCode == 'en'}">
                <ui:insert name="help_en">
	  	          Please inform the administator about the missing help page. Make a screenshot and create an issue, if possible.
						    
                </ui:insert><br />
                <p:button value="#{facesContext.translate('button.ok')}" onclick="PF('helpModal').hide();return;" />
              </ui:fragment>
              <ui:fragment id="help_de_DE" rendered="#{lang.localeCode == 'de_DE'}">
                <ui:insert name="help_de">
			          Bitte informieren Sie den Administrator, dass eine Hilfeseite fehlt. Wenn möglich, erstellen Sie ein Ticket und fügen Sie ein Bildschirmfoto ein.
						    
                </ui:insert><br />
                <p:button value="#{facesContext.translate('button.ok')}" onclick="PF('helpModal').hide();return;" />
              </ui:fragment>
              <ui:fragment id="help_ro" rendered="#{lang.localeCode == 'ro'}">
                <ui:insert name="help_ro">
			          Vă rugăm să informați administratorul că lipsește o pagină de ajutor. Dacă este posibil, creați un bilet și includeți o captură de ecran.
						    
                </ui:insert><br />
                <p:button value="#{facesContext.translate('button.ok')}" onclick="PF('helpModal').hide();return;" />
              </ui:fragment>
              <ui:fragment id="help_es" rendered="#{lang.localeCode == 'es'}">
                <ui:insert name="help_es">
	  	          Por favor, informa al administrador sobre la falta de la página de ayuda. Haz una captura de pantalla y crea una incidencia, si es posible.
						    
                </ui:insert><br />
                <p:button value="#{facesContext.translate('button.ok')}" onclick="PF('helpModal').hide();return;" />
              </ui:fragment>
            </div>
          </p:dialog>
				</ui:fragment>
				<ui:fragment rendered="#{profile == null}">
					<ui:insert name="loginbody" />
				</ui:fragment>
			</div>
		</div>
		<div class="layoutFormbuttons">
			<div style="padding-top: 8px">
				<ui:insert name="barmenu" rendered="#{profile != null}" />
			</div>
		</div>
		<div class="stayOnBottomDistance" />
	</h:form>
	<script type="text/javascript">
		bcol = "#{profile.getConfig('config.common.leftmenu.background')}";
		if (bcol != "") {
			$("body").css("background-color", bcol);
		}
		
		function closeprimodaldialog(){
			$("[id='form:primodaldialog']").hide();
		}
	</script>
</h:body>
</html>
